/**
 * MODAL DIALOG
 *
*/
:where(.rtds-dialog) [role="dialog"] {
    min-height: 100vh;
    flex-direction: column;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
    display: flex;
}
@media (min-width: 768px) {

    body:where(.rtds-dialog) [role="dialog"] .rtds-primary-navigation__backdrop,:where(.rtds-dialog) [role="dialog"]
    :root .rtds-primary-navigation__backdrop {
        position: fixed;
        right: var(--spacing-0);
        bottom: var(--spacing-0);
        left: var(--spacing-0);
        z-index: 10;
    }

    @media (min-width: 1024px) {
        body:where(.rtds-dialog) [role="dialog"] .rtds-primary-navigation__backdrop,:where(.rtds-dialog) [role="dialog"]
    :root .rtds-primary-navigation__backdrop {
            display: none;
        }
    }

    body:where(.rtds-dialog) [role="dialog"] .rtds-primary-navigation__backdrop,:where(.rtds-dialog) [role="dialog"]
    :root .rtds-primary-navigation__backdrop {
        position: fixed;
        right: var(--spacing-0);
        bottom: var(--spacing-0);
        left: var(--spacing-0);
        z-index: 10;
    }

    @media (min-width: 1024px) {
        body:where(.rtds-dialog) [role="dialog"] .rtds-primary-navigation__backdrop,:where(.rtds-dialog) [role="dialog"]
    :root .rtds-primary-navigation__backdrop {
            display: none;
        }
    }

    :where(.rtds-dialog) [role="dialog"] {
        position: absolute;
        left: 50vw;
        top: 50vh;
        max-height: 90vh;
        min-height: 13rem;
        --tw-translate-x: -50%;
        --tw-translate-y: -50%;
        transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
        overflow: hidden;
        border-radius: 0.375rem;
        --tw-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
        --tw-shadow-colored: 0 10px 15px -3px var(--tw-shadow-color), 0 4px 6px -4px var(--tw-shadow-color);
        box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
    }
}
:where(.rtds-dialog-backdrop.is-active) [role="dialog"] {
    display: flex;
}
/* HEADER */
.rtds-dialog__header {
    justify-content: space-between;
    border-bottom-width: 1px;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
        border-color: var(--color-border-gray-01);
    display: flex;
    align-items: center;
    gap: var(--spacing-2);
    padding-left: var(--spacing-4);
    padding-right: var(--spacing-4);
    padding-top: var(--spacing-3);
    padding-bottom: var(--spacing-3);
}
@media (min-width: 1024px) {
    .rtds-dialog__header {
        padding-left: var(--spacing-6);
        padding-right: var(--spacing-6);
        padding-top: var(--spacing-4);
        padding-bottom: var(--spacing-4);
    }
}
:where(.rtds-modal-dialog--inverse) .rtds-dialog__header {
        color: var(--color-content-inverse);
        background-color: var(--color-background-primary);
    }
@media (min-width: 1024px) {
    :where(.rtds-modal-dialog--s) .rtds-dialog__header {
        padding-left: var(--spacing-4);
        padding-right: var(--spacing-4);
        padding-top: var(--spacing-2);
        padding-bottom: var(--spacing-2);
    }
}
.rtds-dialog__content {
    flex: 1 1 0%;
    overflow-y: auto;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
}
.rtds-dialog__content:focus-visible {
        box-shadow: inset 0 0 0 3px var(--tw-ring-color);
    }
.rtds-dialog__content,
    .rtds-dialog__actions {
    padding-left: var(--spacing-4);
    padding-right: var(--spacing-4);
    padding-top: var(--spacing-3);
    padding-bottom: var(--spacing-3);
}
@media (min-width: 1024px) {
    .rtds-dialog__content,
    .rtds-dialog__actions {
        padding-left: var(--spacing-6);
        padding-right: var(--spacing-6);
        padding-top: var(--spacing-4);
        padding-bottom: var(--spacing-4);
    }
}
.rtds-dialog__actions {
    bottom: var(--spacing-0);
    border-top-width: 1px;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
    padding-top: var(--spacing-4);
        border-color: var(--color-border-gray-01);
    display: flex;
    gap: var(--spacing-2);
}
@media (min-width: 640px) {
    @media (min-height: 480px) {
        .rtds-dialog__actions {
            position: sticky;
        }
    }
}
@media (min-width: 1024px) {
    :where(.rtds-modal-dialog--s) .rtds-dialog__actions {
        padding: var(--spacing-4);
    }
}
.rtds-dialog__actions .rtds-btn {
    flex: 1 1 0%;
}
@media (min-width: 1024px) {
    .rtds-dialog__actions .rtds-btn {
        flex: none;
    }
}
.rtds-dialog__close-button {
    border-color: transparent;
    background-color: transparent;
}
.rtds-dialog__close-button:focus {
    border-color: transparent;
    background-color: transparent;
}
@media screen and (min-width: 768px) {
        :where(.rtds-dialog) [role="dialog"] {
            min-width: calc(768px - (15px * 2));
        /* == breakpoint - left+right margin */
        }
    }
/* dialog::backdrop, */
.rtds-dialog-backdrop {
    position: fixed;
    top: var(--spacing-0);
    right: var(--spacing-0);
    bottom: var(--spacing-0);
    left: var(--spacing-0);
    z-index: 40;
    display: none;
    height: 100%;
    width: 100%;
    overflow-y: auto;
    background-color: rgb(0 0 0 / 0.25);
}
.rtds-dialog-backdrop.is-active {
    display: block;
}
.no-scroll {
        overflow-y: auto !important;
    }
/* this is added to the body when a dialog is open */
.has-dialog {
        overflow: hidden !important;
    }
